org.apache.fop.render.pdf.extensions

## Class PDFObjectExtension

- java.lang.Object
- - org.apache.fop.render.pdf.extensions.PDFObjectExtension

- Direct Known Subclasses:
    PDFCollectionEntryExtension

      public class PDFObjectExtension
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getElementName()`
    `PDFObjectType` | `getType()`
    `java.lang.Object` | `getValue()`
    `java.lang.Boolean` | `getValueAsBoolean()` Obtain entry value as Boolean.
    `java.lang.Number` | `getValueAsNumber()` Obtain entry value as Number.
    `java.lang.String` | `getValueAsString()`
    `java.lang.String` | `getValueAsXMLEscapedString()`
    `void` | `setValue(java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getType

          public PDFObjectType getType()

    - #### setValue

          public void setValue(java.lang.Object value)

    - #### getValue

          public java.lang.Object getValue()

    - #### getValueAsBoolean

          public java.lang.Boolean getValueAsBoolean()

      Obtain entry value as Boolean.
      Returns:
        entry value

    - #### getValueAsNumber

          public java.lang.Number getValueAsNumber()

      Obtain entry value as Number.
      Returns:
        entry value

    - #### getValueAsString

          public java.lang.String getValueAsString()

    - #### getValueAsXMLEscapedString

          public java.lang.String getValueAsXMLEscapedString()

    - #### getElementName

          public java.lang.String getElementName()

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.